// @ts-ignore
import {$, doAfterLoad, footer, header, nav} from "@fwdekker/template";
import "fork-awesome/css/fork-awesome.css";
import {waitForForkAwesome} from "./Common";
import {Game} from "./Game";


doAfterLoad(() => {
    // Initialize template
    $("#nav").appendChild(nav("/Tools/Minesweeper/"));
    $("#header").appendChild(header({
        title: "Minesweeper",
        description: "Just Minesweeper!"
    }));
    $("#footer").appendChild(footer({
        author: "Felix W. Dekker",
        authorURL: "https://fwdekker.com/",
        license: "MIT License",
        licenseURL: "https://git.fwdekker.com/FWDekker/minesweeper/src/branch/master/LICENSE",
        vcs: "git",
        vcsURL: "https://git.fwdekker.com/FWDekker/minesweeper/",
        version: "v%%VERSION_NUMBER%%"
    }));
    $("main").style.display = null;


    // Load settings
    const urlParams = new URLSearchParams(window.location.search);
    $("#settingsSeed").value =
        urlParams.get("seed") === null
            ? "" + Math.floor(Math.random() * 1000000000000)
            : urlParams.get("seed");


    // Start game
    waitForForkAwesome(() => new Game(), 3000);
});
